<router-outlet></router-outlet>

<app-sidebar *ngIf="router.url == '/netflixusa'"></app-sidebar>
<div class="container-fluid" id="main" *ngIf="router.url == '/netflixusa'">
  <div class="row">
    <main role="main" class="col-md-8 ml-sm-auto col-lg-10 ">

      <ul class="nav nav-tabs">
        <li class="nav-item">
          <a class="nav-link active" data-toggle="tab" role="tab" href="#dad">Dad</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" data-toggle="tab" role="tab" href="#mom">Mom</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" data-toggle="tab" href="#stephen">Stephen</a>
        </li>
        <!-- <li class="nav-item">
                  <a class="nav-link" >Stephen</a>
                </li> -->
      </ul>
      <div class="tab-content">
        <div id="dad" class="tab-pane container active">
          <ul class="list-group list-group-flush">
            <li class="list-group-item" *ngFor="let data of netflixDadData" (mouseover)="changeText=true">
              <h2>{{ data.long_title }}</h2>
              <h5>{{ data.release_year }} {{ data.run_time/60 }} mins </h5>
              <span *ngIf="changeText" class="showAdditionalData">
                <div class="row">
                  <div class="col-sm-8">
                    <h4>{{ data.description[0].program_description }}</h4>
                  </div>
                  <div class="col-sm-4">
                    <img *ngIf="data.images[0]" src="{{ data.images[0].url }}" class="rounded">
                  </div>
                  <div class="col-sm-12" *ngIf="data.long_title != 'Dexter'">
                    <button type="button" class="btn btn-primary">Watch On Netflix</button>
                  </div>
                  <div class="col-sm-12" *ngIf="data.long_title == 'Dexter'">
                    <button type="button" routerLink="seasons" class="btn btn-primary">View Episodes</button>
                  </div>
                </div>
              </span>
            </li>
          </ul>
        </div>

        <div id="mom" class="tab-pane container fade">
          <ul class="list-group list-group-flush">
            <li class="list-group-item" *ngFor="let data of netflixMomData" (mouseover)="changeText=true">
              <h2>{{ data.long_title }}</h2>
              <h5>{{ data.release_year }} {{ data.run_time/60 }} mins </h5>
              <span *ngIf="changeText" class="showAdditionalData">
                <div class="row">
                  <div class="col-sm-8">
                    <h4>{{ data.description[0].program_description }}</h4>
                  </div>
                  <div class="col-sm-4">
                    <img *ngIf="data.images[0]" src="{{ data.images[0].url }}" class="rounded">
                  </div>
                  <div class="col-sm-12" *ngIf="data.long_title != 'Dexter'">
                    <button type="button" class="btn btn-primary">Watch On Netflix</button>
                  </div>
                  <div class="col-sm-12" *ngIf="data.long_title == 'Dexter'">
                    <button type="button" routerLink="seasons" class="btn btn-primary">View Episodes</button>
                  </div>
                </div>
              </span>
            </li>
          </ul>
        </div>

        <div id="stephen" class="tab-pane container fade">
          <ul class="list-group list-group-flush">
            <li class="list-group-item" *ngFor="let data of netflixStephenData" (mouseover)="changeText=true">
              <h2>{{ data.long_title }}</h2>
              <h5>{{ data.release_year }} {{ data.run_time/60 }} mins </h5>
              <span *ngIf="changeText" class="showAdditionalData">
                <div class="row">
                  <div class="col-sm-8">
                    <h4>{{ data.description[0].program_description }}</h4>
                  </div>
                  <div class="col-sm-4">
                    <img *ngIf="data.images[0]" src="{{ data.images[0].url }}" class="rounded">
                  </div>
                  <div class="col-sm-12" *ngIf="data.long_title != 'Dexter'">
                    <button type="button" class="btn btn-primary">Watch On Netflix</button>
                  </div>
                  <div class="col-sm-12" *ngIf="data.long_title == Dexter">
                    <button type="button" routerLink="seasons" class="btn btn-primary">View Episodes</button>
                  </div>
                </div>
              </span>
            </li>
          </ul>
        </div>
      </div>
    </main>
  </div>
</div>